Subject: Re: bug#41002: Undo breaks inhibit-read-only text property

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 May 2020 16:49:28 +0300

> From: Filipp Gunbin <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 09 May 2020 16:34:43 +0300
> 
> > I think you are right: we need to augment this with something that
> > pays attention to the inhibit-read-only property.  Would you like to
> > suggest a patch?
> 
> That property is checked in INTERVAL_WRITABLE_P just above, it looks
> fine.

That tests if the interval is _not_ writable.  But the problem is not
triggered by the interval, it is triggered by characters after the
interval, is it not?

> The problem is I don't know what the "if" I cited is for.

Hopefully, Lars will answer that.

> > Btw, how is this related to undo?
> 
> Before undo, we seem to have one interval spanning all the text.  After
> undo, there appears a short interval on which "i->position + LENGTH (i)
> < end" triggers.

Right, thanks.  So this situation could be recreated without any undo
in the recipe, right?